[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector3_single

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Single precision vector of three scalars

## Declaration

Source position: matrix.pp line 89

`type Tvector3_single = object`
`data: Tvector3_single_data;` |  | Internal data of Tvector3.single
`constructor init_zero;` |  | Initializes the vector and sets its elements to zero
`constructor init_one;` |  | Initializes the vector and sets its elements to one
`constructor init();` |  | Initializes the vector, setting its elements to the values passed to the constructor.
`function length;` |  | Calculates the length of the vector.
`function squared_length;` |  | Calculates the squared length of the vector.
`end;`

## Inheritance

`Tvector3_single` |  | Single precision vector of three scalars

## Description

The Tvector3_single object provides a vector of three single precision scalars.